/* 
    Progetto : Insetto Robot - HackLab Terni
    Andatura in avanti verso sinistra
    Luglio 2012
    Autore : Cristina Begliomini
*/
#include <Servo.h> 
 
Servo frontServo;  
Servo rearServo;  
int centerTurnPos = 96;
int frontTurnRightUp = 81;
int frontTurnLeftUp = 99;
int backTurnRightForward = 81;
int backTurnLeftForward = 111;

void moveTurnLeft()
{
  frontServo.write(frontTurnRightUp);
  rearServo.write(centerTurnPos);
  delay(65);
  rearServo.write(backTurnLeftForward);
  delay(125);
  frontServo.write(centerTurnPos);
  delay(65);
  frontServo.write(frontTurnLeftUp);
  rearServo.write(centerTurnPos);
  delay(65);
  rearServo.write(backTurnRightForward);
  delay(125);
  frontServo.write(centerTurnPos);
  delay(65);
}
 
void setup()
{
  frontServo.attach(2);
  rearServo.attach(3);
}

void loop()
{
  moveTurnLeft();
}
